=== debian/changelog ===
exim4 (4.99~RC3-1) experimental; urgency=medium

  * New upstream version.
  * Drop 82_Fix-build-error-with-gcc-15.patch, included upstream.
  * Enable sqlite for exim4-daemon-light.
  * Use sqlite instead of berkely db 5.3 for exim hints databases and dbm
    lookups.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 12 Oct 2025 13:23:43 +0200
