=== debian/config-custom/debian/rules ===
#!/usr/bin/make -f
# debian/rules for exim4-config-custom
# This file is public domain software, originally written by Joey Hess.
#
# Uncomment this to turn on verbose mode. 
export DH_VERBOSE=1

buildname=$${build:-`$(SHELL) scripts/os-type`-`$(SHELL) scripts/arch-type`}

DEBIAN:=$(shell pwd)/debian

configure: configure-stamp

# the patches might change src/EDITME.
configure-stamp:
	dh_testdir
	touch configure-stamp

build-indep: build-indep-stamp
build-indep-stamp:
	dh_testdir
	touch build-indep-stamp

build: build-indep

clean: cleanfiles

cleanfiles:
	dh_testdir
	dh_testroot
	rm -f build-indep-stamp configure-stamp install-stamp debian/files
	rm -f debian/debconf/exim4.conf.template

	# Add here commands to clean up after the build process.
	dh_clean

install: install-stamp
install-stamp: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	install -m 755 debian/debconf/update-exim4.conf debian/exim4-config/usr/sbin
	# install -m644 debian/debconf/exim4.conf.template debian/exim4-config/etc/exim4

	# ship a copy in examples
	# install -m644 debian/debconf/exim4.conf.template debian/exim4-config/usr/share/doc/exim4-config/examples/exim4.conf.template.debconf
	install -m644 debian/email-addresses debian/exim4-config/etc
	install -m755 debian/ip-up.d debian/exim4-config/etc/ppp/ip-up.d/exim4
	cd $(DEBIAN)/debconf/conf.d && \
		tar cf - `find \( -path '*/.svn/*' -prune \) -or \( -type f -print \)` | \
		{ cd $(DEBIAN)/exim4-config/etc/exim4/conf.d/ && \
		tar xf - ; }
	chmod 755 debian/debconf/update-exim4.conf.template
	CONFDIR=$(DEBIAN)/debconf debian/debconf/update-exim4.conf.template --nobackup --run

#	dh_movefiles
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installmenu -i
	dh_installdebconf -i
	dh_installlogrotate -i
#	dh_installemacsen -i
	dh_installpam -i
	dh_installmime -i
#	dh_installinit -i
	dh_installcron -i
#	dh_installinfo -i
#	dh_undocumented -i
	dh_installman -i
	dh_install -i
	dh_strip -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
#	dh_makeshlibs -i
	dh_installdeb -i
#	dh_perl -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-indep
.PHONY: build clean binary-indep binary-arch binary install
