=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/,uversionmangle=s/[_-]/~/g \
https://downloads.exim.org/exim4/test/exim-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))
