=== debian/changelog ===
exim4 (4.99-1) experimental; urgency=medium

  * Point watchfile to release directory again.
  * New upstream stable release (almost unchanged since rc4).
    + Drop cherry-picked patches.
  * Cherrypick patch to avoid logging error on seeing TCP-drop after sending
    QUIT. (https://bugs.exim.org/show_bug.cgi?id=3121)
  * Cherrypick post-release fixes:
    + 88_01-Fix-taint-status-for-dbm-lookups.-Bug-3169.patch
    + 88_03-Fix-duplicate-address-processing-vs.-continued-trans.patch

 -- Andreas Metzler <ametzler@debian.org>  Sat, 01 Nov 2025 14:06:26 +0100

exim4 (4.99~RC3-2) experimental; urgency=medium

  * Update to GIT head.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 17 Oct 2025 13:13:57 +0200
