## exim4 4.99.1

=== debian/changelog ===
exim4 (4.99.1-3) experimental; urgency=medium

  * Fix FTBFS on archs != x86_64.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 28 Dec 2025 07:06:41 +0100

exim4 (4.99.1-2) experimental; urgency=medium

  * Add experimental exim4-daemon-mod variant, features with external deps
    are in separate packages that only ship a single dlopened module.
  * Cherry-pick from upstream Git master:
    + Fix linker argument order for dynamic modules.
  * Drop longtime superseded Suggests on spf-tools-perl.
  * Ship empty module dir in exim4-daemon-mod to avoid warning.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 25 Dec 2025 13:32:45 +0100

exim4 (4.99.1-1) unstable; urgency=medium

  * Fix CVE-number in 4.99-7 changelog entry.
  * New upstream stable release (= 4.99 + fix for CVE-2025-67896).
    + Drop (misnamed) 88_07-CVE-2025-30232.diff
    + Unfuzz patches.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 21 Dec 2025 08:00:57 +0100

exim4 (4.99-7) unstable; urgency=high

  * Drop unused b-d on libident-dev, exim's RFC 1413 support is
    self-contained.
  * Add fix for CVE-2025-67896, unfuzz patches.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 17 Dec 2025 18:16:25 +0100

exim4 (4.99-6) unstable; urgency=medium

  * local_scan: bump API version, for smtp_fflush().

 -- Andreas Metzler <ametzler@debian.org>  Sun, 30 Nov 2025 12:05:05 +0100

exim4 (4.99-5) unstable; urgency=medium

  * Fix grammar error in NEWS entry.
  * Cherry-pick three patches from upstream GIT master.
  * Fix string_expand() being unavailable in local_scan().
  * Bump local-scan API minor version.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 27 Nov 2025 17:56:48 +0100

exim4 (4.99-4) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 13 Nov 2025 13:17:02 +0100

exim4 (4.99-3) experimental; urgency=medium

  * Sync post 4.99 changelog-entry numbering with upstream git.
  * Fix file open modes for Gnu/Hurd.
    https://bugs.exim.org/show_bug.cgi?id=3175

 -- Andreas Metzler <ametzler@debian.org>  Sun, 09 Nov 2025 13:16:50 +0100

exim4 (4.99-2) experimental; urgency=medium

  * Cherrypick post-release fixes:
    + 88_07-Build-quieten-sqlite-hints-Wunused-function-build.patch
    + 88_08-RFC-2047-fix-encode-operation.-Bug-3168.patch
    + 88_09-compiler-quietening.patch
    + 88_11-Fix-local-delivery-defers.patch
    + 88_12-Fix-remote-delivery-DNS-defers.-Bug-3172.patch

 -- Andreas Metzler <ametzler@debian.org>  Thu, 06 Nov 2025 07:09:42 +0100
