=== debian/control ===
# * -base and daemon of the same upstream version enforced by a Breaks
#   in -base and a versioned Depends of the daemon-packages on -base
# * -base depends on -config, without automatic versioning.
Source: exim4
Section: mail
Priority: standard
Maintainer: Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>
Uploaders:
 Andreas Metzler <ametzler@debian.org>,
Homepage: https://www.exim.org/
Standards-Version: 4.7.2
Rules-Requires-Root: binary-targets
Vcs-Git: https://salsa.debian.org/exim-team/exim4.git
Vcs-Browser: https://salsa.debian.org/exim-team/exim4
Build-Depends:
 debhelper-compat (= 13),
 default-libmysqlclient-dev,
 docbook-xml,
 docbook-xsl,
 libfile-fcntllock-perl,
 libgnutls28-dev (>= 3.5.7),
 libidn-dev,
 libidn2-dev,
 libldap2-dev,
 libnsl-dev,
 libpam0g-dev,
 libpcre2-dev,
 libperl-dev,
 libpq-dev,
 libsasl2-dev,
 libspf2-dev,
 libsqlite3-dev,
 libx11-dev,
 libxaw7-dev,
 libxext-dev,
 libxmu-dev,
 libxt-dev,
 lynx,
 po-debconf,
 xsltproc,

Package: exim4-base
Architecture: any
Priority: optional
Breaks:
 exim4-daemon-custom (<<${Upstream-Version}),
 exim4-daemon-heavy (<<${Upstream-Version}),
 exim4-daemon-light (<<${Upstream-Version}),
 exim4-daemon-mod (<<${Upstream-Version}),
Conflicts:
 exim,
 exim-tls,
Replaces:
 exim,
 exim-tls,
 exim4-daemon-custom,
 exim4-daemon-heavy,
 exim4-daemon-light,
 exim4-daemon-mod,
Depends:
 adduser,
 cron | cron-daemon | anacron | systemd-sysv,
 exim4-config (>=4.94) | exim4-config-2,
 libfile-fcntllock-perl,
 netbase,
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
# psmisc just for exiwhat.
# mailx for cronjob
Recommends:
 bsd-mailx | mailx,
 psmisc,
Suggests:
 exim4-doc-html | exim4-doc-info,
 eximon4,
 file,
 gnutls-bin | openssl,
 mail-reader,
 swaks,
Description: support files for all Exim MTA (v4) packages
 Exim (v4) is a mail transport agent. exim4-base provides the support
 files needed by all exim4 daemon packages. You need an additional package
 containing the main executable. The available packages are:
 .
  exim4-daemon-light
  exim4-daemon-heavy
  exim4-daemon-mod
 .
 If you build exim4 from the source package locally, you can also
 build an exim4-daemon-custom package tailored to your own feature set.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: exim4-config
Architecture: all
Priority: optional
Breaks:
 exim4-daemon-heavy (<< 4.94),
 exim4-daemon-light (<< 4.94),
 exim4-daemon-mod (<< 4.94),
Provides:
 exim4-config-2,
Conflicts:
 exim,
 exim-tls,
 exim4-config,
 exim4-config-2,
 ${MTA-Conflicts},
Depends:
 adduser,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ca-certificates,
Description: configuration for the Exim MTA (v4)
 Exim (v4) is a mail transport agent. exim4-config provides the configuration
 for the exim4 daemon packages. The configuration framework has been split
 off the main package to allow sites to replace the configuration scheme
 with their own without having to change the actual exim4 packages.
 .
 Sites with special configuration needs (having a lot of identically
 configured machines for example) can use this to distribute their own
 custom configuration via the packaging system, using the magic
 available with dpkg's conffile handling, without having to do local
 changes on all of these machines.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: exim4-daemon-light
Architecture: any
Priority: optional
Provides:
 mail-transport-agent,
 ${dist:Provides:exim4-daemon-light},
 ${localscanabiversion},
Conflicts:
 mail-transport-agent,
Replaces:
 exim4-base (<= 4.61-1),
 mail-transport-agent,
Depends:
 exim4-base (>= ${Upstream-Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: lightweight Exim MTA (v4) daemon
 Exim (v4) is a mail transport agent. This package contains the exim4
 daemon with only basic features enabled. It works well with the
 standard setups that are provided by Debian and includes support for
 TLS encryption and the dlopen patch to allow dynamic loading of a
 local_scan function.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: exim4
Architecture: all
Priority: optional
Depends:
 debconf (>= 1.4.69) | cdebconf (>= 0.39),
 exim4-base (<< ${source:Version}.1),
 exim4-base (>= ${source:Version}),
 exim4-daemon-light (>= ${source:Version}) | exim4-daemon-heavy (>= ${source:Version}) | exim4-daemon-mod (>= ${source:Version}) | exim4-daemon-custom (>= ${source:Version}),
 ${misc:Depends},
Description: metapackage to ease Exim MTA (v4) installation
 Exim (v4) is a mail transport agent. exim4 is the metapackage depending
 on the essential components for a basic exim4 installation.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: exim4-daemon-heavy
Architecture: any
Priority: optional
Provides:
 mail-transport-agent,
 ${localscanabiversion},
Conflicts:
 mail-transport-agent,
Replaces:
 exim4-base (<= 4.61-1),
 mail-transport-agent,
Depends:
 exim4-base (>= ${Upstream-Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 clamav-daemon (<< 0.95),
Description: Exim MTA (v4) daemon with extended features, including exiscan-acl
 Exim (v4) is a mail transport agent. This package contains the exim4
 daemon with extended features. In addition to the features already
 supported by exim4-daemon-light, exim4-daemon-heavy includes LDAP,
 PostgreSQL and MySQL data lookups, SASL and SPA SMTP authentication,
 embedded Perl interpreter, and the content scanning extension
 (formerly known as "exiscan-acl") for integration of virus scanners
 and spamassassin.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: exim4-daemon-mod
Architecture: any
Priority: optional
Provides:
 mail-transport-agent,
Conflicts:
 mail-transport-agent,
Replaces:
 exim4-base (<= 4.61-1),
 mail-transport-agent,
Depends:
 exim4-base (>= ${Upstream-Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 clamav-daemon (<< 0.95),
Description: Exim MTA (v4) daemon with minimal hard dependencies
 Exim (v4) is a mail transport agent. This package contains the exim4
 daemon with extended features, most built as dlopened modules for
 minimal hard dependencies. In addition to the features already
 supported by exim4-daemon-light, exim4-daemon-mod includes LDAP,
 PostgreSQL and MySQL data lookups, SASL and SPA SMTP authentication,
 embedded Perl interpreter, and the content scanning extension
 (formerly known as "exiscan-acl") for integration of virus scanners
 and spamassassin. It does not support dlopened local_scan modules
 like sa-exim.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

#Package: exim4-daemon-custom
#Architecture: any
#Priority: optional
#Provides: ${localscanabiversion}, mail-transport-agent
#Conflicts: mail-transport-agent
#Replaces: exim4-base (<= 4.61-1), mail-transport-agent
#Depends:
# exim4-base (>= ${Upstream-Version}),
# ${misc:Depends},
# ${shlibs:Depends}
