=== debian/rules ===
--- 
+++ 
@@ -30,11 +30,15 @@
 CFLAGS += $(shell getconf LFS_CFLAGS) -D_LARGEFILE_SOURCE \
 	  -fno-strict-aliasing -Wall $(CPPFLAGS)
 export CFLAGS
-# LFLAGS is used where GNU would use LDFLAGS
+# LFLAGS (executable) and DLFLAGS (shared objects) are used where GNU would
+# use LDFLAGS.
 export LFLAGS = $(LDFLAGS)
+export DLFLAGS = $(LDFLAGS)
 
 LC_ALL=C
 export LC_ALL
+DEBEX4_LOOKUP_MODULE_DIR=/usr/lib/exim4/lookups-$(DEB_VERSION_UPSTREAM_REVISION)/
+export DEBEX4_LOOKUP_MODULE_DIR
 
 # If you want to build a daemon with a configuration tailored to YOUR special
 # needs, uncomment the exim4-daemon-custom package in debian/control,
@@ -50,7 +54,7 @@
 # the script debian/create-custom-package [suffix].
 
 # customdaemon = exim4-daemon-custom
-daemons = exim4-daemon-light exim4-daemon-heavy $(customdaemon)
+daemons = exim4-daemon-light exim4-daemon-heavy exim4-daemon-mod $(customdaemon)
 
 # If you want to build with OpenSSL instead of GnuTLS, uncomment this
 # OPENSSL:=1
@@ -116,6 +120,8 @@
 		b-$$i/Local/Makefile && \
 		cp EDITME.eximon b-$$i/Local/eximon.conf ;\
 		done
+	sed -i -e 's:^LOOKUP_MODULE_DIR=/usr/lib/exim4/lookups/:LOOKUP_MODULE_DIR=$(DEBEX4_LOOKUP_MODULE_DIR)/:' \
+		b-*/Local/Makefile
 
 override_dh_auto_build:
 	set -e ; for i in $(daemons) ; do \
@@ -187,6 +193,9 @@
 	for i in b-exim4-daemon-*/build-$(buildname)/exim ; do \
 		install -m4755 -oroot -groot $$i \
 		$(DEBIAN)/`echo $$i | sed -e 's/^b-//' -e 's_/.*__'`/usr/sbin/exim4 ; \
+		if [ `dirname $$i | sed -e 's_/.*__'` = "b-exim4-daemon-mod" ];then \
+			make -C b-exim4-daemon-mod install FULLECHO='' DESTDIR=$(CURDIR)/b-exim4-daemon-mod/dest INSTALL_ARG=-no_symlink ;\
+		fi ; \
 		done
 
 override_dh_auto_install-indep: debian/README.Debian
@@ -199,17 +208,3 @@
 	chmod 755 $(DEBIAN)/exim4-config/usr/sbin/update-exim4.conf
 
 	cd $(DEBIAN)/debconf/conf.d && \
-		tar cf - `find \( -path '*/.svn/*' -prune \) -or \
-		\( -type f -print \)` | \
-		{ cd $(DEBIAN)/exim4-config/etc/exim4/conf.d/ && \
-		tar xf - ; }
-
-	install -m644 $(DEBIAN)/email-addresses $(DEBIAN)/exim4-config/etc/
-	install -m640 -oroot -groot $(DEBIAN)/passwd.client \
-		$(DEBIAN)/exim4-config/etc/exim4/
-	chmod 755 $(DEBIAN)/debconf/update-exim4.conf.template
-	env CONFDIR=$(DEBIAN)/debconf \
-		$(DEBIAN)/debconf/update-exim4.conf.template --nobackup --run
-
-# only called manually by maintainer before upload.
-update-mtaconflicts:
